> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Business Prefill

> Prefill businesses by searching officer names.
Business name is optional and used only for matching comparison in the response.



## OpenAPI

````yaml /api-reference/openapi.json get /prefill/businesses
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /prefill/businesses:
    get:
      tags:
        - Prefill
      summary: Business Prefill
      description: >-
        Prefill businesses by searching officer names.

        Business name is optional and used only for matching comparison in the
        response.
      operationId: business_prefill_prefill_businesses_get
      parameters:
        - name: officer_name
          in: query
          required: true
          schema:
            type: string
            description: Officer name to search
            title: Officer Name
          description: Officer name to search
        - name: business_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Business name to use for matching comparison (not used for
              searching)
            title: Business Name
          description: >-
            Business name to use for matching comparison (not used for
            searching)
        - name: similarity_threshold
          in: query
          required: false
          schema:
            type: number
            maximum: 1
            minimum: 0.5
            description: Similarity threshold for the search (0.0 to 1.0). Defaults to 0.9.
            default: 0.9
            title: Similarity Threshold
          description: Similarity threshold for the search (0.0 to 1.0). Defaults to 0.9.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 1
            description: Maximum number of results to return
            default: 50
            title: Limit
          description: Maximum number of results to return
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.PrefillRegistrationResponse'
                title: Response Business Prefill Prefill Businesses Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.PrefillRegistrationResponse:
      properties:
        name:
          type: string
          title: Name
          description: The name of the registration.
          examples:
            - Garcia, Hernandez and Woods
        issue_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Issue Date
          description: The date the registration was issued.
          examples:
            - '2024-01-01'
        state:
          $ref: '#/components/schemas/StateAbbreviation'
          description: The state in which the registration was filed.
          examples:
            - AZ
        file_number:
          type: string
          title: File Number
          description: The filing number of the registration.
          examples:
            - '867124'
        primary_address:
          anyOf:
            - $ref: '#/components/schemas/v1.AddressSummaryResponse'
            - type: 'null'
          description: The primary address of the registration, if available.
        officers:
          items:
            type: string
          type: array
          title: Officers
          description: The officers associated with the registration.
          default: []
          examples:
            - - Tyler Johnson
              - John Doe
        alternative_names:
          items:
            type: string
          type: array
          title: Alternative Names
          description: The alternative names associated with the registration.
          default: []
        similarity_score:
          type: number
          title: Similarity Score
          description: The similarity score of the registration.
        business_name_match:
          anyOf:
            - $ref: '#/components/schemas/MatchType'
            - type: 'null'
          description: >-
            The match type between the input business name and the registration
            name.
          examples:
            - EXACT
      type: object
      required:
        - name
        - state
        - file_number
        - similarity_score
      title: PrefillRegistrationResponse (v1)
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StateAbbreviation:
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - PR
        - VI
        - AE
        - AA
        - AP
        - GU
        - AS
      title: StateAbbreviation
      type: string
    v1.AddressSummaryResponse:
      description: |-
        Response model for address summary data.

        This model defines the structure for address summary API responses.
      properties:
        id:
          description: Unique identifier for the address.
          format: uuid
          title: Id
          type: string
        street:
          description: Street name of the address.
          examples:
            - 913 Hendrix Gardens Suite 492
          title: Street
          type: string
        city:
          description: City name of the address.
          examples:
            - Jasonfurt
          title: City
          type: string
        state:
          $ref: '#/components/schemas/v1.StateAbbreviation'
          description: State 2 letter abbreviation of the address.
          examples:
            - VA
        zip:
          description: Zip code of the address.
          examples:
            - '19773'
          title: Zip
          type: string
        latitude:
          description: Latitude of the address.
          examples:
            - 38.03012
          title: Latitude
          type: number
        longitude:
          description: Longitude of the address.
          examples:
            - 78.47665
          title: Longitude
          type: number
        rdi:
          anyOf:
            - $ref: '#/components/schemas/v1.AddressRDI'
            - type: 'null'
          default: null
          description: Residential Delivery Indicator of the address.
          examples:
            - Commercial
        deliverable:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Indicates whether the address is deliverable.
          examples:
            - false
          title: Deliverable
        cmra:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Indicates whether the address is a Commercial Mail Receiving Agency
            (CMRA).
          examples:
            - false
          title: Cmra
        url:
          anyOf:
            - format: uri
              maxLength: 2083
              minLength: 1
              type: string
            - type: 'null'
          default: null
          description: The URL to the address details.
          title: Url
        delivery_type:
          anyOf:
            - $ref: '#/components/schemas/v1.USPSDeliveryType'
            - type: 'null'
          default: null
          description: The USPS delivery type.
          examples:
            - STREET
            - FIRM
      required:
        - id
        - street
        - city
        - state
        - zip
        - latitude
        - longitude
      title: AddressSummaryResponse (v1)
      type: object
    MatchType:
      enum:
        - NO_MATCH
        - SIMILAR
        - EXACT
      title: MatchType
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    v1.StateAbbreviation:
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - PR
        - VI
        - AE
        - AA
        - AP
        - GU
        - AS
      title: StateAbbreviation
      type: string
    v1.AddressRDI:
      enum:
        - Residential
        - Commercial
      title: AddressRDI
      type: string
    v1.USPSDeliveryType:
      description: |-
        Enum representing the different types of USPS delivery points.
        Used to classify addresses based on how mail is delivered to them.
      enum:
        - FIRM
        - GENERAL_DELIVERY
        - HIGH_RISE
        - POST_OFFICE
        - RURAL_ROUTE
        - STREET
      title: USPSDeliveryType
      type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````